kernel-tests master: Allow the actual test to skip if modsign is not enabled (0ab7c9d)

jforbes at fedoraproject.org jforbes at fedoraproject.org
Fri Jul 26 16:42:04 UTC 2013


Repository : http://git.fedorahosted.org/cgit/kernel-tests.git

On branch  : master

>---------------------------------------------------------------

commit 0ab7c9db4130983b91d13b9f5771d8096f89acc4
Author: Justin M. Forbes <jforbes at redhat.com>
Date:   Fri Jul 26 11:32:09 2013 -0500

    Allow the actual test to skip if modsign is not enabled


>---------------------------------------------------------------

 default/modsign/runtest.sh |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/default/modsign/runtest.sh b/default/modsign/runtest.sh
index ea87a07..c6e2451 100755
--- a/default/modsign/runtest.sh
+++ b/default/modsign/runtest.sh
@@ -10,7 +10,8 @@ fi
 
 # Run
 ./modsign_tests.sh
-if [ "$?" -ne "0" ]; then
+result=$?
+if [ "$result" -ne "0" ]; then
 	echo "Could not run tests"
-	exit -1
+	exit $result
 fi



More information about the kernel mailing list